GroovyPageRequestBinding (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class GroovyPageRequestBinding

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Binding
              org.codehaus.groovy.grails.web.pages.AbstractGroovyPageBinding
                  org.codehaus.groovy.grails.web.pages.GroovyPageRequestBinding

    public class GroovyPageRequestBinding
    extends AbstractGroovyPageBinding

Script binding to be used as the top-level binding in GSP evaluation.

Authors:
  Lari Hotari

Constructor Summary
`GroovyPageRequestBinding(GrailsWebRequest webRequest)`

Method Summary
`java.lang.Object` | `getVariable(java.lang.String name)`
`java.util.Set` | `getVariableNames()`
`boolean` | `isRequestAttributeVariable(java.lang.String name)`
`void` | `setCachedDomainsWithoutPackage(java.util.Map cachedDomainsWithoutPackage)`

Methods inherited from class AbstractGroovyPageBinding
getVariableNames, getVariables, getVariablesMap, setVariableDirectly

Methods inherited from class groovy.lang.Binding
groovy.lang.Binding#setVariable(java.lang.String, java.lang.Object), groovy.lang.Binding#getVariables(), groovy.lang.Binding#getVariable(java.lang.String), groovy.lang.Binding#hasVariable(java.lang.String), groovy.lang.Binding#setProperty(java.lang.String, java.lang.Object), groovy.lang.Binding#getProperty(java.lang.String), groovy.lang.Binding#getMetaClass(), groovy.lang.Binding#setMetaClass(groovy.lang.MetaClass), groovy.lang.Binding#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.Binding#wait(long, int), groovy.lang.Binding#wait(long), groovy.lang.Binding#wait(), groovy.lang.Binding#equals(java.lang.Object), groovy.lang.Binding#toString(), groovy.lang.Binding#hashCode(), groovy.lang.Binding#getClass(), groovy.lang.Binding#notify(), groovy.lang.Binding#notifyAll()

Constructor Detail

### GroovyPageRequestBinding

    public GroovyPageRequestBinding(GrailsWebRequest webRequest)

Method Detail

### getVariable

    @java.lang.Override
    public java.lang.Object getVariable(java.lang.String name)

### getVariableNames

    @java.lang.SuppressWarnings@Override
    @java.lang.Overridepublic Set getVariableNames() {
    public java.util.Set getVariableNames()

### isRequestAttributeVariable

    public boolean isRequestAttributeVariable(java.lang.String name)

### setCachedDomainsWithoutPackage

    public void setCachedDomainsWithoutPackage(java.util.Map cachedDomainsWithoutPackage)

Groovy Documentation